#pragma once
#include <FK/FK.h>

class MyEffectModel : public fk_Model {
public:
	void preShader()
	{
		glBlendFunc(GL_ONE, GL_ONE);
		glDepthMask(GL_FALSE);
		//glDisable(GL_DEPTH_TEST);
	};
	void postShader()
	{
		//glEnable(GL_DEPTH_TEST);
		glDepthMask(GL_TRUE);
		glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
	};
};

class BlurEffect {
private:
	fk_IFSTexture		blur;
	MyEffectModel		blurModel;
	vector<fk_Vector>	blurArray;

public:
	BlurEffect(void);
	virtual ~BlurEffect(void);

	void update(fk_Scene *, fk_Model *, bool);
};
