#pragma once

#include <FK/FK.h>


class TexAnimeEffectModel : public fk_Model {
private:
	fk_RectTexture		setRect, rect;
	double				effect_X_Max, effect_Y_Max, effect_X, effect_Y;
	int					split_X, split_Y;
	int					step;
	int					stepMax;
	int					setLR;

public:
	TexAnimeEffectModel(void);
	~TexAnimeEffectModel(void);

	void setEffect(fk_RectTexture arg_rect, double arg_X_Max, double arg_Y_Max,
					int arg_split_X, int arg_split_Y, int arg_stepMax);
	void setSize(double w, double h);
	void update(fk_Model *);

	void preShader(void);
	void postShader(void);
};

